%define pkg_name        Test-Image-GD
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 2.n0i.2

Summary:       A module for testing images using GD
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/ST/STEVAN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Test::More) >= 0.47
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(File::Spec)}
%{!?_without_test:BuildRequires: perl(GD)}
%{!?_without_test:BuildRequires: perl(Scalar::Util)}
%{!?_without_test:BuildRequires: perl(Test::Builder)}
%{!?_without_test:BuildRequires: perl(Test::Builder::Tester)}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}


%description
This module is meant to be used for testing custom graphics, it attempts to
"visually" compare the images, this means it ignores invisible differences
like color palettes and metadata. It also provides some extra functions to
check the size of the image.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03-2.n0i.2
- rebuild

* Thu Jun 22 2006 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
